Get webhook delivery details
curl --request GET \
--url https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id} \
--header 'X-Kit-Api-Key: <api-key>'require 'uri'
require 'net/http'
url = URI("https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};
fetch('https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Kit-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}"
headers = {"X-Kit-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"delivery": {
"id": 4,
"event_type": "subscriber.activated",
"status": "pending",
"attempt_count": 0,
"created_at": "2023-02-17T11:43:55Z",
"completed_at": null,
"attempts": [
{
"id": 1,
"attempt_number": 2,
"status_code": 200,
"error_message": null,
"response_body": "ok",
"duration_ms": 150,
"attempted_at": "2023-02-17T11:43:55Z"
},
{
"id": 2,
"attempt_number": 1,
"status_code": null,
"error_message": "Connection refused",
"response_body": null,
"duration_ms": null,
"attempted_at": "2023-02-17T11:43:55Z"
}
],
"payload": [
{
"id": "9b2f6a3e-4c1d-4e8a-9f0b-1a2b3c4d5e6f",
"data": {
"subscriber": {
"id": 123,
"state": "active",
"fields": {},
"created_at": "2026-01-01T00:00:00Z",
"first_name": "Alice",
"email_address": "alice@example.com"
}
},
"type": "subscriber.activated",
"created": "2026-01-01T00:00:00Z"
}
]
}
}{
"errors": [
"Not Found"
]
}Webhooks
Get webhook delivery details
Returns a single delivery record including its full attempt history — timestamps, HTTP status codes, and response bodies. Pass include_payload=true to also return the events that were sent.
GET
/
v4
/
webhook_endpoints
/
{id}
/
deliveries
/
{delivery_id}
Get webhook delivery details
curl --request GET \
--url https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id} \
--header 'X-Kit-Api-Key: <api-key>'require 'uri'
require 'net/http'
url = URI("https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};
fetch('https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Kit-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.kit.com/v4/webhook_endpoints/{id}/deliveries/{delivery_id}"
headers = {"X-Kit-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"delivery": {
"id": 4,
"event_type": "subscriber.activated",
"status": "pending",
"attempt_count": 0,
"created_at": "2023-02-17T11:43:55Z",
"completed_at": null,
"attempts": [
{
"id": 1,
"attempt_number": 2,
"status_code": 200,
"error_message": null,
"response_body": "ok",
"duration_ms": 150,
"attempted_at": "2023-02-17T11:43:55Z"
},
{
"id": 2,
"attempt_number": 1,
"status_code": null,
"error_message": "Connection refused",
"response_body": null,
"duration_ms": null,
"attempted_at": "2023-02-17T11:43:55Z"
}
],
"payload": [
{
"id": "9b2f6a3e-4c1d-4e8a-9f0b-1a2b3c4d5e6f",
"data": {
"subscriber": {
"id": 123,
"state": "active",
"fields": {},
"created_at": "2026-01-01T00:00:00Z",
"first_name": "Alice",
"email_address": "alice@example.com"
}
},
"type": "subscriber.activated",
"created": "2026-01-01T00:00:00Z"
}
]
}
}{
"errors": [
"Not Found"
]
}Authorizations
API KeyOAuth2
Authenticate API requests via an API Key
Query Parameters
To include the payload field in the response, use true. Omitted by default because a delivery can carry many events. Only true and false are accepted; any other value returns a 422.
Response
Returns 200 and the delivery with its payload and attempts including connection failure
Show child attributes
Show child attributes
Was this page helpful?